STOFFFont Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
STOFFFont Class Reference

Class to store font. More...

`#include <STOFFFont.hxx>`

## Public Member Functions
| STOFFFont ()
| constructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | operator== (STOFFFont const &font) const
| operator== More...
bool | operator!= (STOFFFont const &font) const
| operator!= More...

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the property list More...
STOFFColor | m_shadowColor
| the shadow color More...
bool | m_hyphen
| hyphen More...
bool | m_softHyphen
| soft hyphen More...
bool | m_lineBreak
| line break More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFFont const &font)
| operator<< More...

## Detailed Description

Class to store font.

## Constructor & Destructor Documentation

STOFFFont::STOFFFont | ( |  | ) |
| inline

constructor

## Member Function Documentation

void STOFFFont::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by STOFFChart::TextZone::addStyleTo(), STOFFCell::addTo(), and STOFFFont().

bool STOFFFont::operator!= | ( | STOFFFont const & | font | ) | const
| inline

operator!=

bool STOFFFont::operator== | ( | STOFFFont const & | font | ) | const

operator==

Referenced by operator!=(), and STOFFFont().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFFont const & | font
| ) |  |
| friend

operator<<

Referenced by STOFFFont().

## Member Data Documentation

bool STOFFFont::m_hyphen

hyphen

Referenced by StarCharAttribute::StarCAttributeBool::addTo(), operator<<(), and operator==().

bool STOFFFont::m_lineBreak

line break

Referenced by StarCharAttribute::StarCAttributeBool::addTo(), operator<<(), and operator==().

librevenge::RVNGPropertyList STOFFFont::m_propertyList

the property list

Referenced by addTo(), StarCharAttribute::StarCAttributeBool::addTo(), StarCharAttribute::StarCAttributeColor::addTo(), StarCharAttribute::StarCAttributeInt::addTo(), StarCharAttribute::StarCAttributeUInt::addTo(), StarCharAttribute::StarCAttributeEscapement::addTo(), StarGraphicAttribute::StarGAttributeBrush::addTo(), StarCharAttribute::StarCAttributeFont::addTo(), StarCharAttribute::StarCAttributeFontSize::addTo(), operator<<(), and operator==().

STOFFColor STOFFFont::m_shadowColor

the shadow color

Referenced by addTo(), StarGraphicAttribute::StarGAttributeNamedColor::addTo(), operator<<(), and operator==().

bool STOFFFont::m_softHyphen

soft hyphen

Referenced by StarCharAttribute::StarCAttributeVoid::addTo(), operator<<(), and operator==().

The documentation for this class was generated from the following files:

- STOFFFont.hxx
- STOFFFont.cxx